FindReplaceUtility (Groovy 5.0.8)

Package: groovy.console.ui.text

## [Java] Class FindReplaceUtility

- groovy.console.ui.text.FindReplaceUtility

-     public final class FindReplaceUtility
      extends Object

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `CLOSE_ACTION_COMMAND` |
    `static Action` | `FIND_ACTION` |
    `static String` | `FIND_ACTION_COMMAND` |
    `static String` | `REPLACE_ACTION_COMMAND` |
    `static String` | `REPLACE_ALL_ACTION_COMMAND` |

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public static void` | `addTextListener(TextListener tl)`
    `` | `public static void` | `dispose()`
    `` | `public void` | `focusGained(FocusEvent fe)`
    `` | `public static String` | `getLastAction()` Returns: the last action
    `` | `public static int` | `getReplacementCount()` Returns: the replacement count
    `` | `public static String` | `getSearchText()` Returns: the search text
    `` | `public void` | `keyTyped(KeyEvent ke)`
    `` | `public static void` | `registerTextComponent(JTextComponent textComponent)` Parameters: `textComponent` - the text component to listen to
    `` | `public static void` | `removeTextListener(TextListener tl)`
    `` | `public static void` | `showDialog()`
    `` | `public static void` | `showDialog(boolean isReplace)` Parameters: `isReplace` - show a replace dialog rather than a find dialog if true
    `` | `public static void` | `unregisterTextComponent(JTextComponent textComponent)` Parameters: `textComponent` - the text component to stop listening to

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public static final String CLOSE_ACTION_COMMAND

    - #### public static final Action FIND_ACTION

    - #### public static final String FIND_ACTION_COMMAND

    - #### public static final String REPLACE_ACTION_COMMAND

    - #### public static final String REPLACE_ALL_ACTION_COMMAND

  - ### Method Detail

    - #### public static void addTextListener(TextListener tl)

    - #### public static void dispose()

    - #### @Override
      public void focusGained(FocusEvent fe)

    - #### public static String getLastAction()

      Returns:
        the last action

    - #### public static int getReplacementCount()

      Returns:
        the replacement count

    - #### public static String getSearchText()

      Returns:
        the search text

    - #### @Override
      public void keyTyped(KeyEvent ke)

    - #### public static void registerTextComponent(JTextComponent textComponent)

      Parameters:
        `textComponent` - the text component to listen to

    - #### public static void removeTextListener(TextListener tl)

    - #### public static void showDialog()

    - #### public static void showDialog(boolean isReplace)

      Parameters:
        `isReplace` - show a replace dialog rather than a find dialog if true

    - #### public static void unregisterTextComponent(JTextComponent textComponent)

      Parameters:
        `textComponent` - the text component to stop listening to